<template>
  <div>
    <header class="header">
      <div class="header__wrapper container">
        <span class="header__info">Каталог</span>

        <a class="header__logo" href="#">
          <img src="img/svg/logo-tech.svg"
               alt="Логотип интернет магазина Технозавррр" width="190" height="33">
        </a>

        <a class="header__tel" href="tel:8 800 600 90 09">
          8 800 600 90 09
        </a>

        <router-link class="header__cart" aria-label="Корзина с товарами" :to="{name: 'cart'}">
          <svg width="30" height="21" fill="currentColor">
            <use xlink:href="#icon-cart"></use>
          </svg>
          <span class="header__count" aria-label="Количество товаров">
            {{ totalItems }}</span>
        </router-link>
      </div>
    </header>
    <main class="content container">
      <router-view></router-view>
    </main>
  </div>
</template>

<script>

import { mapGetters } from 'vuex';

export default {
  name: 'App',
  computed: {
    ...mapGetters([
      'totalItems',
    ]),
  },
};
</script>

<style lang="stylus">
#app
  font-family Avenir, Helvetica, Arial, sans-serif
  -webkit-font-smoothing antialiased
  -moz-osx-font-smoothing grayscale
  text-align center
  color #2c3e50
  margin-top 60px
</style>
